<?php 

    /* 
        Konfiguracja SMS Premium profesjonalny
    */

        $config = array(
            'sms' => array(

                /* 
                    Zainicjuj w tym miejscu ID partnera
                    odbierającego płatność
                */
                'userid' => 1,
            )
        );

    /* 
        Odbiór i księgowanie płatności
    */

     if(isset($_POST['status'])) {

        /* 
            Sprawdzamy czy powiadomienie jest wysyłane z serwerów rushpay.pl
        */

        if (!in_array($_SERVER['REMOTE_ADDR'], explode(',', file_get_contents('https://rushpay.pl/psc/ips/'))) == TRUE) {
            exit('Access denid.');
        }


         if ($config['psc']['userid'] != $_POST['userid']) {
            exit('Bad user');
        }


        /*
            Po zaksięgowaniu transakcji system wyśle pakiet informacji na adres urlc (adres skryptu) zdefiniowany w panelu bilingowym.
                    
        #   Parametr    Opis
        1   userID  Parametr odpowiada za numer identyfikacyjny partnera w panelu.
        2   serviceID   Parametr odpowiada za numer identyfikacyjny kanału SMS Premium w panelu.
        3   code    Kod zwrotny, który użytkownik utrzymuje po wysłaniu wiadomości.
        4   messageID   Unikalny numer identyfikacyjny transakcji.
        5   reply   Odpowiedź przesłana klientowi po wysłaniu wiadomości Premium.
        6   text    Treść wpisana przez klienta w wiadomości SMS.
        7   numberUser  Numer telefonu klienta wysyłającego wiadomość Premium.
        8   numberSMS   Numer na jaki została wysłana wiadomóść SMS.
        9   date    Data zaksięgowania wiadomości.

        */

        /* 
            Przykład zastosowania
        */
            if($_POST['status'] == TRUE) { 
                // dalsza część kodu 
                // np. zapytanie mysql
                // SELECT * FROM `payments` WHERE `control` = $_POST['control']
                // INSERT INTO `logs` (`action` = :action) (gdzie action to np: Wpłata z numeru 4878182888)

                /* 
                    Możesz również analizować przesłaną treść
                */

                if (strpos($_POST['text'], ".")) {
                    $txt = explode('.', $_POST['text']);
                    if (!isset($txt[1])) {
                        $txt = explode(' ', $_POST['text']);
                    }
                } else {
                    $txt[0] = $_POST['text'];
                    $txt[1] = '';
                }

                print_r($txt);
                // Jeśli użytkownik wyśle nam wiadomość o treści MS.ADMIN.MANIEK powyższy skrypt podzieli nam treść następująco:
                // Array ( [0] => MS [1] => ADMIN [2] => MANIEK )
                // Możemy teraz wydać produkt admin dla użytkownika maniek
                // echo 'Użytkownik ' . $txt['2'] . ' zamówił produkt ' . $txt[1];

                // Można również inaczej stosować to rozwiązanie np. 
                // MS.OGLOSZENIE.{TREŚĆ OGŁOSZENIA}
                // Array ( [0] => MS [1] => OGLOSZENIE [2] => {TREŚĆ OGŁOSZENIA} )
                // gdzie $txt[1] to OGLOSZENIE, $txt[2] to {TREŚĆ OGŁOSZENIA}
            }

        /* 
            Zamykamy skrypt odpowiedzią dla rushpay, jeśli nie otrzymamy odpowiedzi będziemy próbowali powtórzyć wydanie produktu / przesłanie powiadomienia
        */
            exit('OK');
     } 

?>